@charset "utf-8";
/* default styles for All Sites - JBB 2019    */

/*  General purpose styles  */
a {	text-decoration: none;}
.fltrt { float: right;}
.fltlft {
	float: left;
	padding: 3px;
}
.clearfloat { clear:both;
    height:0;
    font-size: 1px;
    line-height: 0px;
}
.noborder {	/*  remove the border from images */
	border-top-style: none;
	border-right-style: none;
	border-left-style: none;
	border-bottom-style: none;
}
.collapsed {  display: none;}
.expanded {display: block;}
.leftAlign {text-align:left;}
.rightAlign {text-align:right;}


/*  Body, BodyNeg and Container styles */
body {
	margin: 0;
	padding: 0;
	text-align: center;
	font-family: Arial, Helvetica, sans-serif;
	font-size: 100%;
	min-width: 1000px;
}
.JBB_Body  {
	color: #000000;				/*  default text colour - Black */
	background-color: #555555;  /*page background - Grey */
}
.JBB_BodyNeg  {
	color: #ffffff;			/*  default text colour - White */
	background-color: #999999;  /*page background - lighter Grey */
}

#container {
	margin: 20px auto;
	text-align: left; /* this overrides the text-align: center on the body element. */
	max-width: 1200px;
	min-width: 600px;
	border: solid gray 1px;
}
.JBB_Body #container {
	background-color: #FFFFFF; /*white*/
}
.JBB_BodyNeg #container {
	background-color: #333333; /*dark grey */
}
.JBB_Body  a, 
.JBB_Body  a:visited{
	color: #3333FF;
}
.JBB_BodyNeg a, 
.JBB_BodyNeg a:visited{
	color: #CCFFCC;
}
.JBB_Body a:hover {
	color : #000066;
	text-decoration: underline;
}
.JBB_BodyNeg a:hover {
	color : #FFFFCC;
	text-decoration: underline;
}


/*  Header  */

#header {
	margin: 20px; /* zeroing the margin of the last element in the #header div will avoid margin collapse - an unexplainable space between divs. If the div has a border around it, this is not necessary as that also avoids the margin collapse */
	padding: 0;
	height: 165px;
} 
#switchStyle {
	text-align:right;
	margin: 0 24px 0 24px;
}


/* light on dark / dark on light button */
a.contraston {
	margin-left : 10px;
	vertical-align : middle;
	color : #eeeeee;
	text-decoration : none;
	display : block;
	width : 8em;
	padding : 5px;
	background-color : #666666;
	font-weight : bold;
	text-align : center;
	border : solid 1px #666666;
	float : right;
	font-size : 12px;
}

a.contrastoff {
	margin-left : 12px;
	vertical-align : middle;
	color : #eeeeee;
	text-decoration : none;
	display : block;
	width : 100px;
	padding : 5px;
	background-color : #666666;
	font-weight : bold;
	text-align : center;
	border : solid 1px #ffffff;
	float : right;
	font-size : 12px;
}

a.contraston:visited, 
a.contrastoff:visited {
	color: #eeeeee;
}

a.contraston:hover,
a.contrastoff:hover {
	color : #666666;
	background-color : #eeeeee;
}

/*  containers and divs */

.bodyTitle {  /*  set color locally */
	font-size:180%;
	font-weight:bold;
	text-align: center;
	margin: 5px 24px 5px 24px;
	padding: 4px 20px;
}
.bodyTitle2 {
	font-size:140%;
	font-weight:bold;
	padding: 12px 0 8px 0;
}


#bodyDiv {   /*  Contains body of content - sidebars and main content  */
	padding: 5px 24px;
}

#mainContent {
	margin: 0 15em 0 16em;
	min-height: 500px;
} 
.JBB_Body #mainContent {
	background-color: #FFFFFF;
} 
.JBB_BodyNeg #mainContent {
	background-color: #333333;
} 
#mainContent .content {
	font-size: 120%;
	font-weight: bold;
}
#mainContent .content2 {
	font-size: 110%;
	text-decoration: underline;
	font-weight: bold;
}


#footer{
	padding: 8px 10px 0 10px; 
	font-size: 80%;
} 

.JBB_Body #footer {
	background:#DDDDDD;
	height: 22px;
} 
.JBB_BodyNeg #footer {
	background:#333333;
} 
#footer p {
	margin: 0; /* zeroing the margins of the first element in the footer will avoid the possibility of margin collapse - a space between divs */
	padding: 10px 0; /* padding on this element will create space, just as the the margin would have, without the margin collapse issue */
}



#headerDiv .title {
	text-align: center;
	vertical-align: middle;
	margin-left: 260px;
	height: 128px;
	padding-top: 15px;
	background-color: #006666;
	color: #dcdcdc;
}

.JBB_Body  .error {
	font-size: large;
	line-height: 120%;
	font-weight: bold;
	color: #900;
	padding: 30px;
}

form {
	text-align: left;
	padding: 5px;
}

.Validated { 
	border:0;
	width:88px;
	height:31px;
}

#newsDiv {
	margin: 0 0 0 10px;
	float: right;
	min-height: 400px;
	width: 220px;
}

 #newsHead {
	padding: 10px;
	font-size: 22px;
	font-weight: bold;
	text-align: center;
}
#newsDiv #newsBody {
	padding: 10px;
}


.TextBox {
	width:267px;
	float:right;
	padding: 10px;
	border: 2pt solid grey;
	background-color: #9FFF9F;
}
#errormsg {
	font-weight: bold;
	border: thin solid #600;
	padding: 10px;
}
.JBB_Body #errormsg {
	color: #C00;
}
.JBB_BodyNeg #errormsg {
	color: #fcc;
}
